Bug 426989 - Review Request: mtpaint - Painting program for creating icons and pixel-based artwork
Review Request: mtpaint - Painting program for creating icons and pixel-based...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-29 09:11 EST by Terje Røsten
Modified: 2008-01-25 12:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 12:18:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-12-29 09:11:33 EST
Spec URL: http://terjeros.fedorapeople.org/mtpaint/mtpaint.spec
SRPM URL: http://terjeros.fedorapeople.org/mtpaint/mtpaint-3.20-1.fc8.src.rpm
Description:
mtPaint is a simple painting program designed for creating icons and
pixel-based artwork. It can edit indexed palette or 24 bit RGB images
and offers basic painting and palette manipulation tools. Its main
file format is PNG, although it can also handle JPEG, GIF, TIFF, BMP,
XPM, and XBM files.
Comment 1 Mamoru TASAKA 2008-01-22 12:42:10 EST
For 3.20-1:

* %setup
--------------------------------------------------------
%setup -q
.......
unzip %{SOURCE1}
--------------------------------------------------------
  - can be completed by one line:
--------------------------------------------------------
%setup -q -a 1
--------------------------------------------------------

* conditional configure option
  - Would you explain why you don't want to support
    JPEG 2000?
    From build.log:
--------------------------------------------------------
   277  Use JPEG 2000       NO
--------------------------------------------------------
    openjpeg-devel is available on Fedora.

! Just Note: || : on %post/%postun
  - %post/%postun execuses /bin/sh shell script (by default)
    with "set -x" (not "set -e -x"), so the status of the last
    command line matters.
    So if you have to write || : for multiple command lines,
    you can remove all of them and just write "exit 0" at the
    last to ensure that %post/%postun doesn't fail.
    Also, if command is not found, bash simply returns value 127.
    e.g.
    http://cvs.fedoraproject.org/viewcvs/*checkout*/devel/alexandria/alexandria.spec

* Documents
  - Please add "COPYING" of mtpaint_handbook zip file to
    %doc of -handbook subpackage.
Comment 2 Terje Røsten 2008-01-22 17:26:47 EST
(In reply to comment #1)
> For 3.20-1:
> 
> * %setup
> --------------------------------------------------------
> %setup -q
> .......
> unzip %{SOURCE1}
> --------------------------------------------------------
>   - can be completed by one line:
> --------------------------------------------------------
> %setup -q -a 1
> --------------------------------------------------------

Yes, thanks will fix.

 
> * conditional configure option
>   - Would you explain why you don't want to support
>     JPEG 2000?

The upstream maintainer stated the code was not ready for prime time.

 
> ! Just Note: || : on %post/%postun
>   - %post/%postun execuses /bin/sh shell script (by default)
>     with "set -x" (not "set -e -x"), so the status of the last
>     command line matters.
>     So if you have to write || : for multiple command lines,
>     you can remove all of them and just write "exit 0" at the
>     last to ensure that %post/%postun doesn't fail.
>     Also, if command is not found, bash simply returns value 127.
>     e.g.

Yes, of course, cut-paste error there.

> * Documents
>   - Please add "COPYING" of mtpaint_handbook zip file to
>     %doc of -handbook subpackage.

Will do.

Comment 3 Terje Røsten 2008-01-23 12:35:26 EST
Updated package:
- Unzip by %%setup
- Simplify %%post/postun
- Added COPYING to handbook

spec: http://web.phys.ntnu.no/~terjeros/mtpaint/mtpaint.spec
srpm: http://web.phys.ntnu.no/~terjeros/mtpaint/mtpaint-3.20-2.fc8.src.rpm
Comment 4 Mamoru TASAKA 2008-01-24 09:59:20 EST
Okay.

-----------------------------------------------------------------
   This package (mtpaint) is APPROVED by me
-----------------------------------------------------------------
Comment 5 Terje Røsten 2008-01-24 14:58:25 EST
Thanks!


New Package CVS Request
=======================
Package Name: mtpaint
Short Description: Painting program for creating icons and pixel-based artwork
Owners: terjeros
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes

Comment 6 Kevin Fenzi 2008-01-24 17:22:46 EST
cvs done.
Comment 7 Terje Røsten 2008-01-25 12:18:32 EST
Thanks guys!

Package pending for F-7 and F-8 updates testing.



Note You need to log in before you can comment on or make changes to this bug.